Package fr.gouv.vitam.batch.report.model

# Class EliminationActionUnitModel

java.lang.Object
fr.gouv.vitam.batch.report.model.EliminationActionUnitModel

public class EliminationActionUnitModel extends Object
ReportListModel

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CREATION_DATE_TIME`
  `static final String`
  `METADATA`
  `static final String`
  `PROCESS_ID`
  `static final String`
  `TENANT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EliminationActionUnitModel()`
  `EliminationActionUnitModel(String processId, int tenant, String creationDateTime, EliminationActionUnitReportEntry metadata)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getCreationDateTime()`
  `EliminationActionUnitReportEntry`
  `getMetadata()`
  `String`
  `getProcessId()`
  `int`
  `getTenant()`
  `int`
  `hashCode()`
  `void`
  `setCreationDateTime(String creationDateTime)`
  `void`
  `setMetadata(EliminationActionUnitReportEntry metadata)`
  `void`
  `setProcessId(String processId)`
  `void`
  `setTenant(int tenant)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROCESS_ID

    public static final String PROCESS_ID
    See Also:
      - Constant Field Values

  - ### TENANT

    public static final String TENANT
    See Also:
      - Constant Field Values

  - ### METADATA

    public static final String METADATA
    See Also:
      - Constant Field Values

  - ### CREATION_DATE_TIME

    public static final String CREATION_DATE_TIME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EliminationActionUnitModel

    public EliminationActionUnitModel()

  - ### EliminationActionUnitModel

    public EliminationActionUnitModel(String processId, int tenant, String creationDateTime, EliminationActionUnitReportEntry metadata)

- ## Method Details

  - ### getProcessId

    public String getProcessId()

  - ### setProcessId

    public void setProcessId(String processId)

  - ### getCreationDateTime

    public String getCreationDateTime()

  - ### setCreationDateTime

    public void setCreationDateTime(String creationDateTime)

  - ### getMetadata

    public EliminationActionUnitReportEntry getMetadata()

  - ### setMetadata

    public void setMetadata(EliminationActionUnitReportEntry metadata)

  - ### getTenant

    public int getTenant()

  - ### setTenant

    public void setTenant(int tenant)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`